Ask Your Question

Revision history [back]

click to hide/show revision 1
initial version

glance-manage db_sync error [enginefacade deprecated]

i got problem when i populate glance service database. Below is error log.

/usr/lib/python2.7/dist-packages/oslo_db/sqlalchemy/enginefacade.py:1056: OsloDBDeprecationWarning: EngineFacade is deprecated; please use oslo_db.sqlalchemy.enginefacade expire_on_commit=expire_on_commit, _conf=conf)

it says Enginefacade is deprecated and use oslo_db.sqlalchemy.enginefacde instead, but i don't know how to solve this. what should i have to do ? what code i have to modify ?